Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1366516

Summary: libstdc++ package conflicts between i686 and x86_64
Product: [Fedora] Fedora Reporter: Tomas Tomecek <ttomecek>
Component: gccAssignee: Jakub Jelinek <jakub>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 26CC: davejohansen, jakub, jwakely, law, mpolacek, orion
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gcc-6.1.1-6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-01 22:02:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tomas Tomecek 2016-08-12 07:57:58 UTC
...and thus breaks wine installation:

Error: Transaction check error:
  file /usr/share/gcc-6.1.1/python/libstdcxx/__pycache__/__init__.cpython-35.opt-1.pyc conflicts between attempted installs of libstdc++-6.1.1-5.fc
26.i686 and libstdc++-6.1.1-5.fc26.x86_64
  file /usr/share/gcc-6.1.1/python/libstdcxx/__pycache__/__init__.cpython-35.pyc conflicts between attempted installs of libstdc++-6.1.1-5.fc26.i68
6 and libstdc++-6.1.1-5.fc26.x86_64
  file /usr/share/gcc-6.1.1/python/libstdcxx/v6/__pycache__/__init__.cpython-35.opt-1.pyc conflicts between attempted installs of libstdc++-6.1.1-5
.fc26.i686 and libstdc++-6.1.1-5.fc26.x86_64
  file /usr/share/gcc-6.1.1/python/libstdcxx/v6/__pycache__/__init__.cpython-35.pyc conflicts between attempted installs of libstdc++-6.1.1-5.fc26.
i686 and libstdc++-6.1.1-5.fc26.x86_64
  file /usr/share/gcc-6.1.1/python/libstdcxx/v6/__pycache__/printers.cpython-35.opt-1.pyc conflicts between attempted installs of libstdc++-6.1.1-5
.fc26.i686 and libstdc++-6.1.1-5.fc26.x86_64
  file /usr/share/gcc-6.1.1/python/libstdcxx/v6/__pycache__/printers.cpython-35.pyc conflicts between attempted installs of libstdc++-6.1.1-5.fc26.
i686 and libstdc++-6.1.1-5.fc26.x86_64
  file /usr/share/gcc-6.1.1/python/libstdcxx/v6/__pycache__/xmethods.cpython-35.opt-1.pyc conflicts between attempted installs of libstdc++-6.1.1-5
.fc26.i686 and libstdc++-6.1.1-5.fc26.x86_64
  file /usr/share/gcc-6.1.1/python/libstdcxx/v6/__pycache__/xmethods.cpython-35.pyc conflicts between attempted installs of libstdc++-6.1.1-5.fc26.
i686 and libstdc++-6.1.1-5.fc26.x86_64


$ rpm -q libstdcxx
libstdc++-6.1.1-4.fc25.x86_64
libstdc++-6.1.1-4.fc25.i686

Comment 1 Orion Poplawski 2016-08-12 22:56:22 UTC
Also:

  file /usr/libexec/getconf/default conflicts between attempted installs of gcc-6.1.1-5.fc26.i686 and gcc-6.1.1-5.fc26.x86_64

Comment 2 Orion Poplawski 2016-08-12 23:00:10 UTC
Sorry, scratch that - I think that's expected.

Comment 3 Jakub Jelinek 2016-08-13 07:41:20 UTC
Sure, gcc.i686 has been never meant to be included in the x86_64 repo, it is not multilib.  It is there only because some other packages contain bogus Requires.
As for the python bytecode, this is python3-devel bug, details in #1204355.

Comment 4 Fedora End Of Life 2017-02-28 10:05:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Jakub Jelinek 2017-03-01 22:02:56 UTC
This got fixed in 6.1.1-6.